

(function (global, namespace ) {
	"use strict";

	var constants = {
		contextPath : '',
		contextLinkPath : '',
		sessionTimeoutMillis : 1000 * 1810,	recaptchaEnabled : true,
		promoCodeLabel : 'Applied Promos',
		promoCodeRemove : 'Remove',
		cartItemPromo: 'Promo',

    /* Marxent */
    mxt360SpinsAPIKey : 'AIzaSyAMcxwiezrRBFVAr8flOgf8pvxBzB455Us',
    mxSectionalConfiguratorAPIKey : 'AIzaSyD2rXayCilIsMqK7-NQvNH0LU0tAOpQin4',
		marxent360SpinsScriptPath : '//cdn.3dcloud.io/laz-3d-spin-viewer/7.19.1-9/LAZSpins-7.19.1-9.min.js',
		marxentSectionalConfiguratorScriptPath : '//cdn.3dcloud.io/laz-sectional-config/7.2.0-9-1/LAZSectionalConfig-7.2.0-9-1.min.js',
    marxentAssetEnvironment : 'Production',

		/* lang */
		errorheader : 'Oops! We&#039;ve got errors:',
		ajaxError : 'There was a problem loading the page.' ,

		messages : {
			prefix : 'Error:',
			email : 'Enter a valid email address',
			uspostal : 'Enter a valid U.S. zip code',
			capostal : 'Enter a valid Canadian postal code',
			usorcapostal : 'Please enter a valid Zip/Postal code',
			usphone : 'Enter a valid phone number',
			internationalphone : 'Enter a valid phone number',
			numeric : {
				named : 'only accepts numbers',
				unnamed : 'This field only accepts numbers'
			},
			excludenumeric : {
        named : 'does not accept numbers',
        unnamed : 'This field does not accept numbers'
      },
			alphanumeric : {
				named : 'only accepts letters and numbers',
				unnamed : 'This field only accepts letters and numbers'
			},
			alphaspace : {
				named : 'only accepts letters and spaces',
				unnamed : 'This field only accepts letters and spaces'
			},
			creditcard : 'Please enter a valid credit card number',
			creditcardExpiration : 'Enter a valid credit card expiration date',
			required : {
				named : 'is required',
				unnamed : 'This field is required'
			},
			minlength : {
				named : 'Enter at least 5 characters.',
				unnamed : 'Please enter at least 5 characters.'
			},
			maxlength : {
				named : 'has too many characters',
				unnamed : 'Too many characters'
			},
			name: {
				named : 'only accepts letters and spaces',
				unnamed : 'This field only accepts letters and spaces'
			},
			nameField: {
				named : 'only accepts letters, numbers, spaces and . &#034; &#039; : - / &amp;',
				unnamed : 'This field only accepts letters, numbers, spaces and . &#034; &#039; : - / &amp;'
			},
			address: {
				named : 'only accepts numbers, letters, spaces, periods and commas',
				unnamed : 'This field only accepts numbers, letters, spaces, periods and commas'
			},
			alphanumericspacecomma: {
				named : 'only accepts numbers, letters, spaces and commas',
				unnamed : 'This field only accepts numbers, letters, spaces and commas'
			},
			matchPassword : 'Password and confirm password do not match',
			matchEmail : 'Email addresses do not match',
			qty : 'Please enter a valid quantity',
			password : '8-character minimum with 1 capital letter and 1 number',
			dateOfBirthDate : 'Please enter a valid birth date',
			dateOfBirthAge : 'Sorry, you must be at least 13 years old',
			invalidGiftMessage : 'Gift message cannot be over 240 characters in length',
			maxPromotionsReached: '???cart.maxPromotionsReached???'
		}
	};

	if (!global[namespace]) {
		global[namespace] = {};
	}
	global[namespace].constants = constants;

}(this, "LZB"));
